This discussion is archived
5 Replies Latest reply: Oct 28, 2013 3:53 AM by Christian Erlinger RSS

Firefox blocklisting java

lake Journeyer
Currently Being Moderated

http://www.networkworld.com/news/2013/102213-firefox-java-275087.html?hpg1=bn

 

sounds like we need to get to the bottom of how to get firefox to whitelist sites as firefox sees all java versions

as problematic apparently.

 

I'd rather not read this whole thread to try to find out:

https://bugzilla.mozilla.org/show_bug.cgi?id=914690

 

Hey I found it:

https://support.mozilla.org/en-US/kb/how-to-enable-java-if-its-been-blocked

 

"Always activate Java for a site

If you have a trusted site that uses Java and you need to use that site often, you can make Java work normally on just that website.

  1. Click the red plugin icon in the address bar and a message panel will open.
  2. In the message panel, click Allow and Remember.

Now, whenever you visit this site, the plugin will automatically run and you won't get the "Click to activate" message.

"

  • 1. Re: Firefox blocklisting java
    Christian Erlinger Guru
    Currently Being Moderated

     

    1. Click the red plugin icon in the address bar and a message panel will open.
    2. In the message panel, click Allow and Remember.

    Now, whenever you visit this site, the plugin will automatically run and you won't get the "Click to activate" message.

    "

    They obviously missed

    3. Do that on every single computer in your company ranging from 1 to x machines (where x can be any positive integer).

     

     

    cheers

  • 2. Re: Firefox blocklisting java
    lake Journeyer
    Currently Being Moderated

    Yep. Don't tell me you had anything better to do.

     

    Because of the wide IE version spread between legacy xp machines and windows 7, and microsoft's propensity to auto-update IE to some version that is not supported, and the

    continued security problems with IE itself, we are willing to do almost anything other than tell people to use IE .  BTW is IE 10 working with forms 11g now? Seems like

    people were complaining it wasn't.

    And I see ie 11 is on its way to us. (You can block it apparently?):

    http://www.microsoft.com/en-us/download/details.aspx?id=40722

     

    BTW in ie 10 on windows 7 there is an option "install new versions automatically" which apparently defaulted to yes.

    alt, help, about internet explorer

     

     

    IE 11 meanwhile on windows 8 is not coming off very well:

    http://www.theregister.co.uk/2013/10/21/internet_explorer_11_breaks_google_outlook_web_access/

  • 3. Re: Firefox blocklisting java
    Christian Erlinger Guru
    Currently Being Moderated

    BTW is IE 10 working with forms 11g now?

    I have IE10 on Windows 7 with the latest JRE6 (1.6u65); never had any problems either with Forms 10 and Forms 11. However; don't set the TabProcGrowth registry key so IE doesn't launch tabs in seperate processes as then on a 64bit System you'd need a 64bit Java as the Master Process always is 64bit no matter if you start the 32bit executable (the child processes of the tabs are 32bit).

     

    cheers

  • 4. Re: Firefox blocklisting java
    lake Journeyer
    Currently Being Moderated

    Really? Kudos for figuring that out!

    That must explain why we get new computers from a certain vendor with both the 32 bit and the 64 bit jre installed (7). That is actually confusing

    to have 2 of them. And since we are still using 6 we have to uninstall both of them. (Warning the 7 uninstaller may get carried away uninstalling and

    interfere with software packages that had installed the the jdk for console-type operation.)

  • 5. Re: Firefox blocklisting java
    Christian Erlinger Guru
    Currently Being Moderated

    I always have the 32bit version and the 64bit version JRE + JDK (java 6 as for now) installed; the 32bit versions for running forms and JVisualVM, the 64bit version for running e.g. SQL*Developer which is quite memory hungry. Plus in IE9 times when I accidentally started the 64bit IE it I always had to search why it wouldn't run my form. As with IE10 this wouldn't be needed anymore; at least I wouldn't need a 64bit JRE, but old habits hardly die.

     

    cheers

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points